<template>
    <div class="chartSize">       
            <IEcharts :option='chartOption' :resizable="true" />
    </div>
</template>

<script>
import IEcharts from 'vue-echarts-v3/src/full.js';

export default {
    name: 'PieChart',
    components: {
        IEcharts
    },
    props: ['seriesData', 'xAxisData'],

    data() {
        return{
            chartOption: {
                legend: {},
                tooltip: {},
                series: [
                    {
                        type: 'pie',
                        data: [
                            { name: this.xAxisData[0], value: this.seriesData[0] },
                            { name: this.xAxisData[1], value: this.seriesData[1] },
                            { name: this.xAxisData[2], value: this.seriesData[2] },
                            { name: this.xAxisData[3], value: this.seriesData[3] },
                            { name: this.xAxisData[4], value: this.seriesData[4] },
                            { name: this.xAxisData[5], value: this.seriesData[5] }
                        ]
                    }
                ],
            }
        }
    }
}
</script>

<style scoped>
    .chartSize{
        height: 400px;
        width: 800px;
        margin-left: 2rem;
        margin-top: 3rem;
    }
</style>